<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#3a1200"
    android:orientation="vertical"
    android:padding="20dp" >

    <EditText
        android:id="@+id/custom_search_edit"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_alignParentTop="true"
        android:layout_marginLeft="10dp"
        android:layout_toRightOf="@+id/custom_search_btn"
        android:background="#ffe691"
        android:ems="10"
        android:gravity="right|center_vertical" >

        <requestFocus />
    </EditText>

    <ImageView
        android:id="@+id/custom_search_btn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignBottom="@+id/custom_search_edit"
        android:layout_alignParentLeft="true"
        android:layout_alignParentTop="true"
        android:src="@drawable/search" />

</RelativeLayout>